Method: domains.getVerificationToken

Gets a verification token used for verifying a user's ownership over a domain.

HTTP request

GET https://gmailpostmastertools.googleapis.com/v2beta/{name=domains/*/verificationToken}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the verification token to retrieve. Format: domains/{domain}/verificationToken

Query parameters

Parameters
verificationMethod

enum (DomainVerificationMethod)

Required. The verification method used. Must be specified, i.e. TXT or CNAME.

Request body

The request body must be empty.

Response body

The DNS token a user can use to verify ownership of a domain.

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,
  "token": string,
  "verificationMethod": enum (DomainVerificationMethod)
}
Fields
name

string

Identifier. The resource name of the domain verification token. Format: domains/{domain}/verificationToken

token

string

The verification token.

verificationMethod

enum (DomainVerificationMethod)

The verification method used.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/postmaster
  • https://www.googleapis.com/auth/postmaster.domain

For more information, see the Authorization guide.